/*
 * © 2024 Eventspace 3D. All rights reserved.
 * 
 * This source code is the exclusive property of Eventspace 3D.
 * Any reproduction, modification, distribution, or any form of exploitation
 * outside the boundaries of copyright law requires the written consent of the author.
 */
 @import url(https://db.onlinewebfonts.com/c/0955717161498669b4fd0a29bdafeeee?family=Berling+Nova+Display+W04+Rg);

 @font-face {
  font-family: "Berling Nova Display W04 Rg";
  src: url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.eot");
  src: url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.eot?#iefix")format("embedded-opentype"),
  url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.woff2")format("woff2"),
  url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.woff")format("woff"),
  url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.ttf")format("truetype"),
  url("https://db.onlinewebfonts.com/t/0955717161498669b4fd0a29bdafeeee.svg#Berling Nova Display W04 Rg")format("svg");
}

 body, html {
  font-family: "Berling Nova Display W04 Rg";
      overflow: hidden;
    -webkit-user-select: none;  
    -moz-user-select: none;     
    -ms-user-select: none;
    user-select: none;
    height: 100%;
    margin: 0;
    border: none;
  }

header{
    position: absolute;
    display: grid;
    top: 0;
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    z-index: 55;
    background: white;
    align-items: center;
}


.buttonDiv{
    position: absolute;
    display: inline-block;
    top: 70px;
    right: 25px;
    height: 37px;
    cursor: pointer;
    transition: background-color 0.5s;
    border-radius: 8px;
    z-index: 1;
}

.buttonDiv:hover {
    background-color: rgba(126, 126, 126, 0.2);
}

.button{
    border: 1px solid white;
    border-radius: 8px;
    height: 25px;
    width: 25px;
    padding: 4px;
    background-color: transparent;
    /* box-sizing: border-box; */
}

#menuIconDiv ,#stopGuidedTourDiv {
    display: flex;
    align-items: center;
    width: 100%;
    height: 25px;
    padding: 4px;
    border-radius: 4px;
    transition: background-color 0.5s; /* Übergangsdauer definieren */
}

#menuIconDiv:hover ,#stopGuidedTourDiv:hover {
    background-color: rgba(126, 126, 126, 0.2);
}

#menuIconText ,#stopGuidedTourText{
    padding-left: 4px;
    font-size: large;
}

  
#startDiv {
    position: absolute;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 53;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  
  #startHeading {
    color: white;
    font-size: x-large;
    margin-bottom: 20px; /* Abstand zum Spinner */
    text-align: center; /* Text zentrieren */
  }
  
  .spinner {
    width: 40px;
    height: 40px;
    border: 4px solid rgba(0,0,0,0.1);
    border-top-color: #ffffff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
  }
  
  #pPanoLoad{
    display: none;
    position: absolute;
    padding: 10px;
    top:50%;
    left: 50%;
    flex-direction: column;
    align-items: center;
    justify-content: center;    
    z-index: 30;
      }

  #startVideo{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    background-color: #1e1e1e;
    z-index: 51;
   }

/* Modal Background */
.modalBackground {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(30, 30, 30, 0.9);
  z-index: 999;
}

/* Modal Box */
.modal {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 75%;
  max-width: 950px;
  max-height: 100%;
  background-color: white;
  border-radius: 10px;
  transform: translate(-50%, -50%);
  overflow: auto;
}

/* Modal Image */
.modalImg {
  width: 100%;
  height: 250px;
  object-fit: cover;
}

/* Modal Content */
.modalContent {
  padding: 20px;
  text-align: center;

}

.modalContent h2 {
  font-size: 24px;
  margin-bottom: 10px;
}

.modalContent p {
  font-size: 16px;
  margin-bottom: 20px;
}

.modalButton {
  font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  display: inline-block;
  padding: 10px 20px; 
  margin: 5px;
  background-color: #313D30;
  color: white;
  text-decoration: none;
  border-radius: 25px 25px 25px 25px;
}

.modalButton:hover {
  background-color: #6D806A;
}


#mapBackground {
  background-color: rgba(0, 0, 0, 0.85);
  position: absolute; 
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 7;
}

#floorplanIMG {
  position: absolute;
  display: none;
  width: auto;
  height: 40%;
  top: 50%;
  left: 50%;
  border-radius: 10px;
  transform: translate(-50%, -50%);
  z-index: 10;
}

@media only screen and (min-width: 600px) {
  #floorplanIMG {
      height: 75%;
  }
}

/* Tooltip Styling */
.tooltip {
  display: none; /* Standardmäßig ausblenden */
  position: absolute;
  bottom: 50px; /* Über dem Button anzeigen */
  left: 50%;
  transform: translateX(-50%);
  background: #1a1a1a8a; /* Hintergrundfarbe */
  color: #fff; /* Schriftfarbe */
  padding: 5px 10px; /* Abstand innen */
  border-radius: 5px; /* Runde Ecken */
  font-size: 12px; /* Textgröße */
  white-space: nowrap; /* Verhindert Zeilenumbrüche */
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); /* Schatten für mehr Tiefe */
  z-index: 10;
  pointer-events: none;

}

#floorplanButtonIMG:hover{
  width: 160px;
}

/* Zeige Tooltip beim Hover */
#floorplanButton:hover .tooltip {
  display: block;
}
  
  @keyframes spin {
    to {
      transform: rotate(360deg);
    }
}
  
  @media  (min-height: 350px) {
    #startHeading{
        top: 50%; 
    }
    .spinner {
        top: 60%;
    }
  }
  
  /* .imageContainer {
    position: fixed;
    bottom: 220px;
    left: 20px;
    width: 120px;
    height: 67.5px; 
    height: auto;
    z-index: 100;
    cursor: pointer;
    pointer-events: all;
  }

  .imageContainer2 {
    position: fixed;
    bottom: 220px;
    right: 20px;
    width: 120px;
    height: 67.5px; 
    height: auto;
    z-index: 100;
    cursor: pointer;
    pointer-events: all;
  }
       */

  .imageContainer, .imageContainer2 {
    position: fixed;
    bottom: 220px;
    width: 80px; /* Durchmesser des Kreises */
    height: 80px; /* Durchmesser des Kreises */
    z-index: 100;
    cursor: pointer;
    pointer-events: all;
    overflow: hidden; /* Wichtig für das Zuschneiden */
    border-radius: 50%; /* Vollständig runde Ecken */
  }

  .imageContainer {
    left: 20px; /* Position für das erste Image */
  }
  
  .imageContainer2 {
    right: 20px; /* Position für das zweite Image */
  }
  
  .image {
    width: 142px;
    height: auto; /* Füllt den Kreis */
    border-radius: 8px;
    height: auto;
    box-shadow: none; /* Standard ohne Glow */
    animation: pulse 2s infinite;
    opacity: 0; /* Unsichtbar beim Start */
    transition: none; /* Keine Transition standardmäßig */
  }
  
  .image.visible {
    opacity: 1; /* Sichtbar nach dem Laden */
    box-shadow: 0 0 15px 5px rgba(200, 200, 200, 0.4); /* Glow-Effekt */
    transition: opacity 0.5s ease-in-out, box-shadow 0.5s ease-in-out; /* Nur Transition, wenn die Klasse .visible hinzugefügt wird */
  }
  
  @keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
  }
  
  #descriptionDiv {
    opacity: 0;
    position: absolute;
    bottom: 0;
    z-index: 1;
    width: 100%;
    height: 50%;
    background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
    pointer-events: none; /* Allows clicks to pass through to the underlying viewer */
    transition: opacity 1s ease;
  }
  
  #descriptionDiv.show{
    opacity: 1;
  }
  
  #description{
    position: absolute;
    color: white;
    font-size: medium;
    width: 80%;
    bottom: 140px; /* Move the element to the middle of the container */
    left: 50%; /* Horizontal centering */
    transform: translateX(-50%);
    justify-content: center; /* Horizontal alignment for flex content */
    align-items: center; /* Vertical alignment for flex content (optional) */
  }
  
  #stepButtonDiv{
    display: none;
    flex-direction: column; /* Vertikale Ausrichtung */
    align-items: center; /* Horizontal zentrieren */
    justify-content: center; /* Vertikal zentrieren */
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translateX(-50%);
    pointer-events: all;
    align-items: center;
  }

  #nextStepButton{
    font-family: "Berling Nova Display W04 Rg";
    background-color: transparent;
    border-radius: 25px 25px 25px 25px;
    border: 1px solid white;
    cursor: pointer;
    color: white;
    font-size: medium;
    width: 200px;
    height: 50px;
    transition: background-color 0.5s; /* Übergangsdauer definieren */
  }

  #nextStepButton:hover{
    background-color: rgba(126, 126, 126, 0.2);
  }
  
  #prevStepButton{
    all: unset; /* Entfernt alle Standardstile des Buttons */
    cursor: pointer; /* Zeigt an, dass der Text klickbar ist */
    color: white; /* Verwendet die Standardfarbe des Textes */
    visibility: hidden; /* Anfangs unsichtbar */
    font-size: small;
    height: 20px;
    padding: 4px;
    margin-top: 5px;
    border-radius: 25px 25px 25px 25px;
    text-align: center; /* Textzentrierung */
    transition: background-color 0.5s; /* Übergangsdauer definieren */
  }

  #prevStepButton:hover{
    background-color: rgba(126, 126, 126, 0.2);
  }

  @media (min-width: 500px) and (min-height: 510px) {
    #description{
        width: 400px;
    }
  }
  
  @media (min-width: 700px) and (min-height: 510px) {
    #descriptionDiv{
        background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
    }
    #description{
        width: 510px;
        font-size: x-large;
      }
      
  #startHeading {
    font-size: xx-large;
  }
    #prevStepButton {
      font-size: large;

    }
    #nextStepButton{
      width: 250px;
      font-size: x-large;
    }
    .image{
      width: 100%;
      height: auto;
    }
    .imageContainer, .imageContainer2 {
      bottom: 220px; /* Anhebung der Position */
      width: 150px;

      height: 67.5px; /* Berechnete Höhe für ein Seitenverhältnis von 16:9 */
      height: auto;
      border-radius: 8px; /* Leicht abgerundete Ecken */
    }
    .imageContainer2{
        right: 50px;
    }.imageContainer {
        left: 50px;
    }
    .button{
    height: 30px;
    width: 30px;
    }
  }
  
  @media (min-width: 950px) and (min-height: 510px) {
    .imageContainer2{
        right: 75px;
    }.imageContainer {
        left: 75px;
    }
  }
  
  @media (min-width: 1200px) and (min-height: 510px)  {
    .imageContainer2{
        width: 200px;
        right: 100px;
        bottom: 130px;
    }
    
    .imageContainer {
        width: 200px;
        left: 100px;
        bottom: 130px;
    }

    #description{
        width: 540px;
    }
  }


.modal-background{
    top: 50px;
    height: calc(100% - 50px);
}

@keyframes pulseAnimation {
    0% { transform: scale(1); opacity: 0.5;color:rgb(237, 239, 242) }
    50% { transform: scale(1.1); opacity: 1;  }
    100% { transform: scale(1); opacity: 0.5; color: rgb(237, 239, 242) }
}

#closeGuidedTour{
    position: absolute; 
    right: 5px;
    top: 10px;
    padding: 1px;
    border-radius: 3px;
    cursor: pointer;
}

#closeGuidedTour:hover{
    background-color: rgb(237, 239, 242);
}


.vr-modal{
    top: 50px !important;
    height:  calc(100% - 50px) !important;
}

.help-modal{
    top: 50px !important;
    height:  calc(100% - 50px) !important;
}

.terms-modal {
    top: 50px !important;
}

.headset-header{
    margin-top: 50px !important;
}

#help-modal{
    margin-top: 50px;
    height:  calc(100% - 50px) !important;
    z-index: 999;
}


#menuWrapper{
    position: absolute; 
    display: flex;
    padding-left: 20px;
    cursor: pointer;
    align-items: center;
    z-index: 60;
}


  /* Das Logo in die Mitte setzen */
  .logo {
    position: absolute;
    display: none;
    left: 50%;
    transform: translateX(-50%);
    top: 50%;
    transform: translate(-50%, -50%); /* zentriert auch vertikal */
    height: 40px;
  }

#floorplanButtonIMG{
  display: none;
  transition: ease 0.5s;
}

#floorplanSVG{
  display: none;
}

@media only screen and (max-width: 650px) {
  #floorplanSVG{
    display: block;
  }
}

  @media only screen and (min-width: 650px) {
    .logo {
      display: block;
    }
    #floorplanButtonIMG{
      display: block;
    }
  }

  /* Das Wordmark rechts anordnen */
  #wordmark {
    position: absolute;
    right: 20px; /* Abstand von rechts – anpassen falls nötig */
    top: 50%;
    transform: translateY(-50%);
    height: 40px;

  }

#navigation-menu {
    display: none;
    position: absolute;
    left: -15px;
    width: 180px;
    height: 100%;
    background: rgb(255,255,255);
    z-index: 2;
    overflow-y: auto;
    overflow-x: hidden;

}

.mTitle {
    padding: 4px;
    height: 100%;
    border-radius: 4px;
    transition: background-color 0.5s; /* Übergangsdauer definieren */

}

.mTitle:hover{
    background-color: rgba(126, 126, 126, 0.2);
    cursor: pointer;
}

#navigation-menu ul li {
    width: 90%;
    list-style: none;
}

.submenu {
    display: none;
    position: absolute;
    width: 150px;
    height: 100%;
    padding-top: 90px;
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 15px;
    left: 165px;
    background: rgb(238, 239, 242);
    opacity: 1;
    overflow-y: auto;
    overflow-x: hidden;
    list-style: none;
    z-index: 2;

}
.submenu ul, .submenu li {
    list-style: none;
}

.submenu p {
    padding: 4px;
    height: 100%;
    border-radius: 4px;
    transition: background-color 0.5s; /* Sanfter Übergang */
}

.submenu p:hover {
    background-color: rgba(126, 126, 126, 0.2);
    cursor: pointer;
}

.submenu li img {
    width: 75%;
    display: block;
    margin: auto;
    opacity: 1;
    list-style: none;
}
.container {
    display: flex;
    flex-direction: column;
    margin: 0;
    width: auto;
    height: 100%;
    overflow: hidden;
}

#ThreejsBillboard {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    transform: translate(-50%, -50%);
    border: none;
    border-radius: 0;
    overflow: hidden;
    z-index: 50;
}

#CloseThreejsBillboard {
    background-color: white; 
    height: 34px;
}

#ThreejsContainer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

#mouseid-container {
    display: none;
    position: absolute;
    flex-direction: column;
    align-items: center; /* Zentriert die Kind-Elemente horizontal */
    justify-content: center;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%); /* Korrektur, um sowohl X als auch Y zu zentrieren */
    z-index: 50;
    pointer-events: none;
  }
  
  #mouseidtext{
    position: absolute;
    color: white;
    font-size: large;
    top: 80%;
    left: 50%;
    width: 220px;
    text-align: center; /* Stellt sicher, dass der Text zentriert ist */
    transform: translateX(-50%); /* Zentriert den Container in der Mitte der x-Achse */
    background-color: rgba(90, 90, 90, 0.5);
    padding: 5px;
    border-radius: 8px;
    z-index: 50;
  
  }

#mouseid {
    width: 100px;
    height: 100px;
    animation: moveLeftAndRight 4s cubic-bezier(0.445, 0.05, 0.55, 0.95) infinite; /* Animationseinstellungen */
}

  /* Definiere die CSS-Animation mit cubic-bezier-Timing-Funktion */
  @keyframes moveLeftAndRight {
    0% {
      transform: translate3d(0, 0, 0);
    }
    25% {
      transform: translate3d(-20px, 0, 0);
    }
    50%, 100% {
      transform: translate3d(0, 0, 0);
    } 
    75% {
      transform: translate3d(20px, 0, 0);
    }
  }

  @media screen and (min-width: 480px) {
        #closeGuidedTour{
            right: 10px;
        }
    }

@media only screen and (min-width: 489px) and (min-height: 488px) {
        .terms-modal {
            top: 100px !important;
        }
    } 

@media only screen and (min-width: 602px) and (min-height: 488px) {

    .vr-modal{
        top: 55% !important;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 650px) {

    #wordmark{
        right: 60px;
    }
    
    #menuWrapper{
        padding-left: 60px;
    }
    

    #navigation-menu {
        left: 0;
        width: 316px;
    }
    
    .submenu {
        left: 316px;
        width: 270px;
        height: 100%;
    } 

    .submenu li img{
        width: 60%;
    } 
} 